diff options
| -rwxr-xr-x | client/brpaste | 10 | ||||
| -rwxr-xr-x | client/brpaste.zsh | 6 |
2 files changed, 6 insertions, 10 deletions
diff --git a/client/brpaste b/client/brpaste deleted file mode 100755 index 0e3dbce..0000000 --- a/client/brpaste +++ /dev/null @@ -1,10 +0,0 @@ -#!/bin/sh -brpaste() { - host='https://brpaste.xyz' - [ $# -eq 0 ] && set -- '-' - brpaste_id=$(curl -#fF "data=<$1" "$host") \ - || { echo 'ERROR: Upload failed!' >&2 && exit 1; } - printf '%s/%s\n' "$host" "$brpaste_id" -} - -return 0 2>/dev/null || brpaste "$@" diff --git a/client/brpaste.zsh b/client/brpaste.zsh new file mode 100755 index 0000000..b4cf5ef --- /dev/null +++ b/client/brpaste.zsh @@ -0,0 +1,6 @@ +#!/bin/zsh +host='https://brpaste.xyz' +[[ $# -eq 0 ]] && set -- '-' +brpaste_id=$(curl -\#fF "data=<$1" "$host") \ + || { echo 'ERROR: Upload failed!' >&2 && return 1; } +printf '%s/%s\n' "$host" "$brpaste_id" |
